> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Billing History

> Monthly QuickBooks billing records for a tenant, newest first, with the open QuickBooks balance



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/billing/history/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/billing/history/:
    get:
      tags:
        - Billing
      summary: List Billing History
      description: >-
        Monthly QuickBooks billing records for a tenant, newest first, with the
        open QuickBooks balance
      parameters:
        - schema:
            type: number
            exclusiveMinimum: 0
          in: query
          name: tenantId
          required: true
          description: Tenant ID
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        date:
                          anyOf:
                            - type: string
                            - type: 'null'
                        invoice:
                          anyOf:
                            - type: string
                            - type: 'null'
                        amount:
                          anyOf:
                            - type: number
                            - type: 'null'
                        amountAfterTax:
                          anyOf:
                            - type: number
                            - type: 'null'
                        custom:
                          anyOf:
                            - type: number
                            - type: 'null'
                        data: {}
                        hasAccounts:
                          type: boolean
                          description: >-
                            Has a per-account breakdown (partner master
                            accounts)
                      required:
                        - id
                        - date
                        - invoice
                        - amount
                        - amountAfterTax
                        - custom
                        - data
                        - hasAccounts
                      additionalProperties: false
                  currentBalance:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: >-
                      Open QuickBooks balance, when the account is
                      QuickBooks-billed
                required:
                  - records
                  - currentBalance
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.